Skip to main content
POST
/
publishers
Create a new publisher
curl --request POST \
  --url https://api.comfy.org/publishers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": "<string>",
  "logo": "<string>",
  "members": [
    {
      "id": "<string>",
      "role": "<string>",
      "user": {
        "email": "<string>",
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "name": "<string>",
  "source_code_repo": "<string>",
  "support": "<string>",
  "website": "<string>"
}
'
import requests

url = "https://api.comfy.org/publishers"

payload = {
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"logo": "<string>",
"members": [
{
"id": "<string>",
"role": "<string>",
"user": {
"email": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"name": "<string>",
"source_code_repo": "<string>",
"support": "<string>",
"website": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
description: '<string>',
id: '<string>',
logo: '<string>',
members: [
{
id: '<string>',
role: '<string>',
user: {email: '<string>', id: '<string>', name: '<string>'}
}
],
name: '<string>',
source_code_repo: '<string>',
support: '<string>',
website: '<string>'
})
};

fetch('https://api.comfy.org/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "id": "<string>",
  "logo": "<string>",
  "members": [
    {
      "id": "<string>",
      "role": "<string>",
      "user": {
        "email": "<string>",
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "name": "<string>",
  "source_code_repo": "<string>",
  "support": "<string>",
  "website": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
createdAt
string<date-time>

The date and time the publisher was created.

description
string
id
string

The unique identifier for the publisher. It's akin to a username. Should be lowercase.

URL to the publisher's logo.

members
object[]

A list of members in the publisher.

name
string
source_code_repo
string
status
enum<string>
Available options:
PublisherStatusActive,
PublisherStatusBanned
support
string
website
string

Response

Publisher created successfully

createdAt
string<date-time>

The date and time the publisher was created.

description
string
id
string

The unique identifier for the publisher. It's akin to a username. Should be lowercase.

URL to the publisher's logo.

members
object[]

A list of members in the publisher.

name
string
source_code_repo
string
status
enum<string>
Available options:
PublisherStatusActive,
PublisherStatusBanned
support
string
website
string